17 Comments

  • What do you mean the specs or the operating system, the operating system is ubuntu, ubuntu is a linux distribution. Its good for people new to linux

  • I’ve been trying to install WordPress 2.8.4 on Ubuntu 9.04 Linux XAMPP 1.7.2 and getting an error msg right after i click “Click a configuration file” on wordpress page. Can you help me with this?

    The error msg reads:

    Strict Standards: Declaration of Walker_Page::start_lvl() should be compatible with that of Walker::start_lvl() in /opt/lampp/htdocs/wordpress/wp-includes/classes.php on line 1214

  • When ever I try and edit, copy, and delete file from /opt/lampp/htdocs/ it says “You do not have the permissions nexassary to save the file” can someone please help?

  • sudo chmod 777 /opt/lamp/htdocs is one way. The other way and better way is to change ownership to your username like so:

    chown username:usergroup -R /opt/lampp/htdocs

    When you install it, you used sudo, which means it’s owned by the root user and only that user has permissions to the file. Either one of those methods should fix it though.

  • Thank you very much for this tutorial. I just started using linux not long ago and this helped me out a ton. Great video.

  • I want to thank you so much for this tutorial; it saved me a lot of time and effort and the subject was clearly presented

    Please keep up the good work and thank you again

  • If I’m going to use this as a testing platform for my online wordpress blog and I wanted to do all my customization and everything on localhost, then FTP it to my web host, will I need to make the database names and passwords the same as they are on my web host?

  • @boboelmo
    You don’t have to, but you will have to change it before uploading.
    I haven’t had much luck trying to develop that way since the database settings differ as well as it’s contents, then the fact the file paths will differ as well.

    It’s usually best to develop locally then launch publicly once a release point has been reached. You can also allow remote connections to your database and use the same database, but that’s a security risk.

  • This Worked flawlessly on Ubuntu 10.04 using Xampp 1.7.3a (for linux), installing WordPress 2.9.2!
    Thanks! 😀

Leave a Reply

Your email address will not be published. Required fields are marked *